SCRIPT_PREFIX=$1

# create frg files
ln -s ../Data/allpathsCor/frag_1.fastq chr14_fragment_1.cor.fastq
ln -s ../Data/allpathsCor/frag_2.fastq chr14_fragment_2.cor.fastq
fastqToCA -insertsize 180 20 -libraryname frag -innie -type sanger -fastq `pwd`/chr14_fragment_1.cor.fastq,`pwd`/chr14_fragment_2.cor.fastq > chr14_fragment_1.cor.frg

java -cp $SCRIPT_PREFIX:. mergeFastq ../Data/allpathsCor/longjump_1.fastq ../Data/allpathsCor/longjump_2.fastq chr14_longjump_12.cor.fastq
fastqToCA -libraryname lj -type sanger -fastq `pwd`/chr14_longjump_12.cor.fastq > chr14_longjump_12.cor.frg

perl $SCRIPT_PREFIX/revFastq.pl ../Data/allpathsCor/shortjump_1.fastq > short_1.fastq
perl $SCRIPT_PREFIX/revFastq.pl ../Data/allpathsCor/shortjump_2.fastq > short_2.fastq
java -cp $SCRIPT_PREFIX:. mergeFastq short_1.fastq short_2.fastq chr14_shortjump_12.cor.fastq
fastqToCA -libraryname sj -type sanger -fastq `pwd`/chr14_shortjump_12.cor.fastq > chr14_shortjump_12.cor.frg

sh $SCRIPT_PREFIX/convertToCA.sh 1 ./ genome 0 1 > run.out 2>&1 
